"""replace calls to the datafetcher with calls to the productfetcher

Revision ID: b6e04e7668b5
Revises: aa5e540c480e
Create Date: 2021-05-13 13:04:59.865117

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b6e04e7668b5"
down_revision = "aa5e540c480e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        update workflow_templates
        set content = replace(convert_from(content, 'utf8'), 'datafetcher', 'productfetcher')::bytea
        """
    )


def downgrade():
    op.execute(
        """
        update workflow_templates
        set content = replace(convert_from(content, 'utf8'), 'productfetcher', 'datafetcher')::bytea
        """
    )
